<?php
/**
 * Theme Palace widgets inclusion
 *
 * This is the template that includes all custom widgets of Power News
 *
 * @package Theme Palace
 * @subpackage Power News
 * @since Power News 1.0.0
 */

/*
 * Add social link widget
 */
require get_template_directory() . '/inc/widgets/social-link-widget.php';

/*
 * Add About  widget
 */
require get_template_directory() . '/inc/widgets/about-info-widget.php';

/*
 * Add Recent Posts widget
 */
require get_template_directory() . '/inc/widgets/recent-posts-widget.php';

/*
 * Add Widget Post Filter Posts widget
 */
require get_template_directory() . '/inc/widgets/widget-posts-filter.php';


/*

/*
 * Add popular post widget
 */
require get_template_directory() . '/inc/widgets/social-link-widget.php';
/*


/**
 * Register widgets
 */
function power_news_register_widgets() {
	
	register_widget( 'power_news_About_Us_Image_Widget' );

	register_widget( 'power_news_Recent_Post' );

	register_widget( 'power_news_Social_Link' );

	register_widget( 'power_news_Post_Filter' );

}
add_action( 'widgets_init', 'power_news_register_widgets' );